/** 
 * Title:        AuctionDetailView
 * Description:  Trieda prezentujca detailn informcie o danej aukcii
 */ 
import java.io.Serializable;
import java.sql.Timestamp;

public class AuctionDetailView implements Serializable {
  private Integer id; 
  private String name; 
  private String description; 
  private String status; 
  private Double startingBid; 
  private Double minBidIncrement; 
  private Double reserveAmount; 
  private Timestamp startDateTime; 
  private Timestamp scheduledEndDateTime; 
  private Timestamp actualEndDateTime; 
  private Double leadingBidAmount; 
  private Double winningBidAmount; 
  private String itemName; 
  private String itemDescription; 
  private Integer quantity; 
  private String imageURL; 

  public AuctionDetailView() {
  } 

public AuctionDetailView(Integer newId, String newName, String newDescription, 
  String newStatus, Double newStartingBid, Double newMinBidIncrement, 
  Double newReserveAmount, Timestamp newStartDateTime, 
  Timestamp newScheduledEndDateTime, Timestamp newActualEndDateTime, 
  Double newLeadingBidAmount, Double newWinningBidAmount, String newItemName, 
  String newItemDescription, Integer newQuantity, String newImageURL) {

    setId(newId); 
    setName(newName); 
    setDescription(newDescription); 
    setStatus(newStatus); 
    setStartingBid(newStartingBid); 
    setMinBidIncrement(newMinBidIncrement); 
    setReserveAmount(newReserveAmount); 
    setStartDateTime(newStartDateTime); 
    setScheduledEndDateTime(newScheduledEndDateTime); 
    setActualEndDateTime(newActualEndDateTime); 
    setLeadingBidAmount(newLeadingBidAmount); 
    setWinningBidAmount(newWinningBidAmount); 
    setItemName(newItemName); 
    setItemDescription(newItemDescription); 
    setQuantity(newQuantity); 
    setImageURL(newImageURL); 
  } 

  public Integer getId() {
    return id; 
  } 

  public void setId(Integer newId) {
    id = newId; 
  } 
  public void setName(String newName) {
    name = newName; 
  } 

  public String getName() {
    return name; 
  } 

  public void setDescription(String newDescription) {
    description = newDescription; 
  } 

  public String getDescription() {
    return description; 
  } 

  public void setStatus(String newStatus) {
    status = newStatus; 
  } 

  public String getStatus() {
    return status; 
  } 

  public void setStartingBid(Double newStartingBid) {
    startingBid = newStartingBid; 
  } 

  public Double getStartingBid() {
    return startingBid; 
  } 

  public void setMinBidIncrement(Double newMinBidIncrement) {
    minBidIncrement = newMinBidIncrement; 
  } 

  public Double getMinBidIncrement() {
    return minBidIncrement; 
  } 

  public void setReserveAmount(Double newReserveAmount) {
    reserveAmount = newReserveAmount; 
  } 

  public Double getReserveAmount() {
    return reserveAmount; 
  } 

  public void setStartDateTime(Timestamp newStartDateTime) {
    startDateTime = newStartDateTime; 
  } 

  public Timestamp getStartDateTime() {
    return startDateTime; 
  } 
  public void setScheduledEndDateTime(Timestamp newScheduledEndDateTime) {
    scheduledEndDateTime = newScheduledEndDateTime; 
  } 

  public Timestamp getScheduledEndDateTime() {
    return scheduledEndDateTime; 
  } 

  public void setActualEndDateTime(Timestamp newActualEndDateTime) {
    actualEndDateTime = newActualEndDateTime; 
  } 

  public Timestamp getActualEndDateTime() {
    return actualEndDateTime; 
  } 

  public void setLeadingBidAmount(Double newLeadingBidAmount) {
    leadingBidAmount = newLeadingBidAmount; 
  } 

  public Double getLeadingBidAmount() {
    return leadingBidAmount; 
  } 

  public void setWinningBidAmount(Double newWinningBidAmount) {
    winningBidAmount = newWinningBidAmount; 
  } 

  public Double getWinningBidAmount() {
    return winningBidAmount; 
  } 

  public void setItemName(String newItemName) {
    itemName = newItemName; 
  } 

  public String getItemName() {
    return itemName; 
  } 

  public void setItemDescription(String newItemDescription) {
    itemDescription = newItemDescription; 
  } 

  public String getItemDescription() {
    return itemDescription; 
  } 

  public void setQuantity(Integer newQuantity) {
    quantity = newQuantity; 
  } 

  public Integer getQuantity() {
    return quantity; 
  } 
  public void setImageURL(String newImageURL) {
    imageURL = newImageURL; 
  } 

  public String getImageURL() {
    return imageURL; 
  } 
}
