/** 
 * Title:       InvalidBidException 
 * Description: Tto vnimka sa pouije v prpade, e vka ponuky nezodpoved 
 * stanovenmu minimlnemu mnostvu
 */ 
import java.text.NumberFormat; 

public class InvalidBidException extends Exception {
  /** 
   * @param submittedBid - vka ponuky
   * @param requiredBid - minimlna akceptovan vka ponuky
   */ 
  public InvalidBidException(double submittedBid, double requiredBid) {
   // Bude pouit formt meny poda tandardnho prostredia
    super("Tto vka ponuky " + 
      NumberFormat.getCurrencyInstance().format(submittedBid) + 
      " neodpoved minimlnemu stanovenmu mnostvu " + 
      NumberFormat.getCurrencyInstance().format(requiredBid)); 
  } 

  /** 
   * @param msg - chybov hlka 
   */ 
  public InvalidBidException(String msg) {
    super(msg); 
  } 
}
